import React, { PureComponent, Fragment } from 'react';
import { Input } from 'antd';

export default class AsyncInput extends PureComponent {
    constructor(props) {
        super(props);

        // this.state = {
        //     textArea: this.props.value,
        // }
    }
    componentDidMount() {
        if (this.props.value) {
            this.textInput.state.value = this.props.value;
            this.forceUpdate();
        }
    }
    componentWillReceiveProps(nextProps) {
        // 取消判空
        if (nextProps.value != this.props.value) {
            this.textInput.state.value = nextProps.value;
            this.forceUpdate();
        }
    }
    render() {
        const { onChange, value, async, ...res } = this.props;
        return <Fragment>
            {async ? <Input ref={(ref) => this.textInput = ref} {...res} onBlur={(e) => { onChange(e.target.value) }} /> :
                <Input ref={(ref) => this.textInput = ref} {...res} onChange={(e) => { onChange(e.target.value) }} />}
        </Fragment>
    }
}