import React, { PureComponent, Fragment } from 'react';
import { Input } from 'antd';
const { TextArea } = Input;

export default class AsyncTextArea extends PureComponent {
    constructor(props) {
        super(props);

        // this.state = {
        //     textArea: this.props.value,
        // }
    }
    componentDidMount() {
        if (this.props.value) {
            this.textAreaRef.state.value = this.props.value;
            this.forceUpdate();
        }
    }
    componentWillReceiveProps(nextProps) {
        // 取消判空
        if (nextProps.value != this.props.value) {
            this.textAreaRef.state.value = nextProps.value;
            this.forceUpdate();
        }
    }
    render() {
        const { onChange, value, ...res } = this.props;
        return <Fragment><TextArea ref={(ref) => this.textAreaRef = ref} autoSize={{ minRows:2}} {...res} onBlur={(e) => {
            onChange(e.target.value)
        }} /></Fragment>
    }
}