/**
 * Created by 王友生 on 2018-06-06.
 * 在ant design的基础上添加一个鼠标移入显示，点击删除
 */

import React, { PureComponent } from 'react';
import { Popover } from 'antd';

export default class CustomPopover extends PureComponent {
  state = {
    visible: false
  }

  render() {
    return <Popover
      visible={this.state.visible}
      onMouseEnter={() => this.props.hoverShow && this.setState({ visible: true })}
      onVisibleChange={visible => this.setState({ visible })}
      {...this.props}>
    </Popover>
  }
}
