/**
 * Created by 王友生 on 2018-06-28.
 */

import styles from './index.less';

import React, { PureComponent } from 'react';
import { Avatar } from 'antd';

export default class OneMessage extends PureComponent {
  render() {
    const { position, content } = this.props;
    if (position === 'left') {
      return <div className="onMessage">
        <Avatar icon="plus" src="/icon1" />
        <div className="innerMessage">
          <div className="ant-popover-arrow" style={{ top: '13px' }}></div>
          <p>{content}</p>
        </div>
      </div>
    } else {
      return <div className="onMessageRight">
        <div className="innerMessage">
          <p>
            {content}
          </p>
          <div className="ant-popover-arrow" style={{ top: '13px', right: 0, backgroundColor: '#52c41a' }}></div>
        </div>
        <Avatar icon="plus" src="/icon1" />
      </div>
    }
  }
}
