/*
 * @Author: 陈云翔
 * @Date: 2022-05-11 16:53:37
 * @Last Modified by: 陈云翔
 * @Last Modified time: 2022-08-22 15:12:07
 */



import React, { PureComponent } from 'react';
import './index.less';
// 测试数据
let tree =
{
  "unionid": "14b99034-f8e6-b833-d6ac-46baf1e582f7",
  "nodeModeName": "开始",
  "nodeAttribute": 1,
  "nodeMode": 1,
  "name": "1",
  "type": "person",
  "nodeType": 0,
  "first": true,
  "children": [{
    "unionid": "09034cc6-8025-46c4-d4f1-ed43951cde3c",
    "nodeModeName": "协同",
    "name": "1-1",
    "id": "userName",
    "nodeAttr": "0",
    "children": [
      {
        "unionid": "3f053a89-2e8b-a6a5-cedd-8f4ef891e96f",
        "nodeModeName": "协同",
        "name": "1-1-1",
        "id": "7636827c59374eb59f8ef971b6305d2c",
        "nodeAttr": "0",
        "type": "person",
        "children": [{
          "unionid": "5a3d278d-a817-70c0-d5f3-4b45ec714e49",
          "nodeModeName": "协同",
          "name": "1-1-1-1",
          "id": "78e39392e2bb4fcdb310eecb5d159089",
          "nodeAttr": "0",
          "type": "person"
        }, {
          "unionid": "185005de-52e5-96c4-9fc9-0d92841b65b5",
          "last": true,
          "nodeModeName": "结束",
          "nodeAttribute": 1,
          "nodeMode": 1,
          "name": "1-1-1-2",
          "type": "end",
          "nodeType": 0
        }, {
          "unionid": "185005de-52e5-96c4-9fc9-0d92841b65b5",
          "last": true,
          "nodeModeName": "结束",
          "nodeAttribute": 1,
          "nodeMode": 1,
          "name": "1-1-1-3",
          "type": "end",
          "nodeType": 0, "children": [
            {
              "unionid": "3f053a89-2e8b-a6a5-cedd-8f4ef891e96f",
              "nodeModeName": "协同",
              "name": "1-1-1",
              "id": "7636827c59374eb59f8ef971b6305d2c",
              "nodeAttr": "0",
              "type": "person",
              "children": [{
                "unionid": "5a3d278d-a817-70c0-d5f3-4b45ec714e49",
                "nodeModeName": "协同",
                "name": "1-1-1-1",
                "id": "78e39392e2bb4fcdb310eecb5d159089",
                "nodeAttr": "0",
                "type": "person"
              }, {
                "unionid": "185005de-52e5-96c4-9fc9-0d92841b65b5",
                "last": true,
                "nodeModeName": "结束",
                "nodeAttribute": 1,
                "nodeMode": 1,
                "name": "1-1-1-2",
                "type": "end",
                "nodeType": 0
              }, {
                "unionid": "185005de-52e5-96c4-9fc9-0d92841b65b5",
                "last": true,
                "nodeModeName": "结束",
                "nodeAttribute": 1,
                "nodeMode": 1,
                "name": "1-1-1-3",
                "type": "end",
                "nodeType": 0
              }]
            }
            ,
            {
              "unionid": "3032deea-65be-feaa-aca3-669d0c853cf3",
              "nodeModeName": "协同",
              "name": "1-1-2",
              "id": "935976eb45054526b1d64f0413c299f6",
              "nodeAttr": "0",
              "type": "person",
              "children": [{
                "unionid": "5a3d278d-a817-70c0-d5f3-4b45ec714e49",
                "nodeModeName": "协同",
                "name": "1-1-2-1",
                "id": "78e39392e2bb4fcdb310eecb5d159089",
                "nodeAttr": "0",
                "type": "person",
                "children": [{
                  "unionid": "185005de-52e5-96c4-9fc9-0d92841b65b5",
                  "last": true,
                  "nodeModeName": "结束",
                  "nodeAttribute": 1,
                  "nodeMode": 1,
                  "name": "1-1-2-2-1",
                  "type": "end",
                  "nodeType": 0
                }]
              }, {
                "unionid": "185005de-52e5-96c4-9fc9-0d92841b65b5",
                "last": true,
                "nodeModeName": "结束",
                "nodeAttribute": 1,
                "nodeMode": 1,
                "name": "1-1-2-2",
                "type": "end",
                "nodeType": 0
              }]
            }
          ],
        }]
      }
      ,
      {
        "unionid": "3032deea-65be-feaa-aca3-669d0c853cf3",
        "nodeModeName": "协同",
        "name": "1-1-2",
        "id": "935976eb45054526b1d64f0413c299f6",
        "nodeAttr": "0",
        "type": "person",
        "children": [{
          "unionid": "5a3d278d-a817-70c0-d5f3-4b45ec714e49",
          "nodeModeName": "协同",
          "name": "1-1-2-1",
          "id": "78e39392e2bb4fcdb310eecb5d159089",
          "nodeAttr": "0",
          "type": "person",
          "children": [{
            "unionid": "185005de-52e5-96c4-9fc9-0d92841b65b5",
            "last": true,
            "nodeModeName": "结束",
            "nodeAttribute": 1,
            "nodeMode": 1,
            "name": "1-1-2-2-1",
            "type": "end",
            "nodeType": 0
          }]
        }, {
          "unionid": "185005de-52e5-96c4-9fc9-0d92841b65b5",
          "last": true,
          "nodeModeName": "结束",
          "nodeAttribute": 1,
          "nodeMode": 1,
          "name": "1-1-2-2",
          "type": "end",
          "nodeType": 0
        }]
      }
    ],
    "type": "006"
  }],
}



class Login extends PureComponent {

  state = {

  }

  constructor(props) {
    super(props);

  }

  /**
   *x循环节点
   *
   * @param {*} item
   * @return {*}
   * @memberof Login
   */
  renderItem(item) {
    const { click, id } = this.props
    if (item.children) {
      // 有子级
      return <div className={item.children && item.children.length > 1 ? "column" : "columnOne"}>
        <span style={{ backgroundColor: `${id == item.id ? '#faad14' : '#2196f3'}` }}
          onClick={() => { click && click(item) }}>{item.name}</span>
        <div className="lineBottom"></div>
        <div className="lineTop"></div>
        <div className="whiteLast"></div>
        <div className="whiteFirst"></div>
        <div className={item.children && item.children.length > 1 ? "itemBlock" : "itemBlockOne"}>
          {item.children.map((child, idx) => {
            return this.renderItem(child)
          })}
        </div>
      </div>
    } else {
      // 末级
      return <div className="columnOne">
        <span style={{ backgroundColor: `${id == item.id ? '#faad14' : '#2196f3'}` }}
          onClick={() => {
            click && click(item)
          }}>{item.name}</span>
        <div className="lineTop"></div>
        <div className="whiteLast"></div>
        <div className="whiteFirst"></div>
      </div>;
    }

  }
  render() {
    const { tree } = this.props;
    console.log('tree', tree);

    return (
      <div className="organization">
        {tree && tree.length > 1 && tree.map(item => {
          return this.renderItem(item)
        })}
        {tree && tree.length == 1 && this.renderItem(tree[0], [0])}
      </div>


    );
  }
}

export default Login;
