/**
 * Created by 王友生 on 2018-04-26.
 */

import React, { PureComponent } from 'react';
import { connect } from 'react-redux';

@connect(state => {
  const permissions = state.get('system').get('permissions');
  return { permissions };
})
export default class Permission extends PureComponent {

  render() {
    const { permission, children, permissions } = this.props;
    if (permissions.indexOf(permission) < 0) {
      return null;
    }
    return children;
  }
}
