/**
 * Created by 王友生 on 2018-06-07.
 */
import styles from './index.less';

import React, { PureComponent } from 'react';
import QueueAnim from 'rc-queue-anim';

export default class Preview extends PureComponent {
  render() {
    const { visible } = this.props;
    if (! visible) {
      return null;
    }
    return <QueueAnim>
      <div className="preview" key="preview" onClick={(e) => e.stopPropagation()}>
        {this.props.children}
      </div>
    </QueueAnim>
  }
}
