/**
 * Created by 王友生 on 2018-06-26.
 */
/* eslint-disable */
import React from "react"
import { Button } from "antd"
import CustomSelect from "../CustomSelect"

export default ({ value, btnName, selectSource, selectPlaceholder, selectField, onChange }) => {
  return (
    <span>
      <CustomSelect
        selectProps={{
          placeholder: selectPlaceholder
        }}
        onChange={value => {
          onChange && onChange()
        }}
        source={selectSource || []}
        field={selectField}
      />
      <Button
        style={{
          borderTop: "none",
          paddingLeft: "8px",
          marginLeft: "-3px"
        }}
        type="primary"
      >
        {btnName}
      </Button>
    </span>
  )
}
