/**
 * Created by 王友生 on 2018-09-27.
 */

import React, { PureComponent } from 'react';
import { Upload, Button, message } from 'antd';
import { uploadImportFile } from '../../utils/request';

export default class UploadButton extends PureComponent {
  render() {
    const { url, name, children } = this.props;
    const props = {
      name: 'file',
      showUploadList: false,
      beforeUpload: (file) => {
        uploadImportFile(url, file);
        return false;
      }
    };
    return <Upload {...props}>
      {children ? children : <Button {...this.props}>{name}</Button> }
    </Upload>
  }
}
