export const quickButtonGroups = [
  {
    label: 'datepicker.week',
    children: [
      { value: 'current_week', label: 'datepicker.current_week' },
      { value: 'last_week', label: 'datepicker.last_week' },
    ]
  },
  {
    label: 'datepicker.month',
    children: [
      { value: 'current_month', label: 'datepicker.current_month' },
      { value: 'last_month', label: 'datepicker.last_month' },
    ]
  },
  {
    label: 'datepicker.quarter',
    children: [
      { value: 'current_quarter', label: 'datepicker.current_quarter' },
      { value: 'last_quarter', label: 'datepicker.last_quarter' },
    ]
  },
  {
    label: 'datepicker.year',
    children: [
      { value: 'current_year', label: 'datepicker.current_year' },
      { value: 'last_year', label: 'datepicker.last_year' },
      { value: 'first_half_year', label: 'datepicker.first_half_year' },
      { value: 'second_half_year', label: 'datepicker.second_half_year' },
    ]
  },
  {
    label: 'datepicker.other',
    children: [
      { value: '0', label: 'datepicker.today' },
      { value: 'yesterday', label: 'datepicker.yesterday' },
      { value: '-3', label: 'datepicker.last_3_day' },
      { value: '-7', label: 'datepicker.last_7_day' },
      { value: '-14', label: 'datepicker.last_14_day' },
    ]
  }
];

export const quickButtons = quickButtonGroups.reduce((prev, current) => {
  prev.push(...current.children);
  return prev;
}, [])
