/**
 * Created by 王友生 on 2018-07-19.
 */
/* eslint-disable */
import "./index.less"

import React from "react"
import { Card, Avatar } from "antd"
import { renderAColor } from "../../utils"

export default ({ title, tag, content, desc, index, actions }) => {
  return (
    <Card.Grid style={{ width: "100%", padding: "12px" }} {...actions}>
      <Card.Meta
        title={
          <span>
            {/*<Avatar size="small" src="https://gw.alipayobjects.com/zos/rmsportal/WdGqmHpayyMjiEhcKoVE.png" />*/}
            {(index || index === 0) && (
              <span className="metaIcon" style={{ backgroundColor: renderAColor() }}>
                {index}
              </span>
            )}
            <span className="metaTitle">{title}</span>
          </span>
        }
        description={content}
      />
      <div className="cardContent">
        <span>{tag}</span>
        <span>{desc}</span>
      </div>
    </Card.Grid>
  )
}
