/**
 * @Name : 底部功能条
 * @Description : 将功能固定在页面底部
 * @Author : 王友生
 * @Creation Date : 2018/3/10 0010 10:51
 * @ModificationHistory
 */

import styles from './index.less';
import React, { Component } from 'react';

export default class FooterToolbar extends Component {
  render() {
    const { children, extra, ...restProps } = this.props;
    return (
      <div
        className="toolbar"
        {...restProps}
      >
        <div className="left">{extra}</div>
        <div className="right">{children}</div>
      </div>
    );
  }
}
