/**
 * Created by 王友生 on 2018-04-18.
 */

import React, { PureComponent } from 'react';
import { Spin } from 'antd';
import { connect } from 'react-redux';

@connect((state, route) => {
  return {
    loading: state.getIn(['system', 'loading'])
  }
})
export default class GlobalLoading extends PureComponent {
  state = {
    spinning: false,
  }

  componentDidMount() {
    window.startLoading = () => {
      this.props.dispatch({
        type: 'system/changeLoadingStatus',
        payload: true
      });
    }
    window.stopLoading = () => {
      this.props.dispatch({
        type: 'system/changeLoadingStatus',
        payload: false
      });
    }
  }

  render() {
    return <Spin size="large" tip="加载中..." spinning={this.props.loading}>
      {this.props.children}
    </Spin>
  }
}

