/**
 * Created by 王友生 on 2018-04-27.
 */

const en_CN = {
  'login.login_btn': 'Login',
  'login.resource_download': 'Download',
  'login.qrcode_label': 'QR code',
  'login.client_qrcode_label': 'Download the mobile client',
  'login.server_qrcode_label': 'Server QR code',
  'login.placeholder.username': 'Please enter your login name',
  'login.placeholder.password': 'Please enter password',
  'login.remember': 'Remember login',
  'login.copyright': 'All rights reserved Jiangsu Talent Network Technology Co., Ltd.',
  'login.switch_language': 'Switch to ZH',

  'main.auth_info': 'Authorization information',
  'main.about': 'About',
  'main.logout': 'Drop out',
  'main.warning_setting': 'Warning settings',
  'main.refresh': 'Refresh',
  'main.hot_deploy': 'Hot deployment',

  'list.advance_search': 'Advanced Search',
  'list.add': 'New',
  'list.batch_update': 'Batch Edit',
  'list.batch_remove': 'Batch deletion',
  'list.date_update': 'Data correction',
  'list.print': 'Print',
  'list.setting': 'Setting',
  'list.clear': 'Empty',
  'list.search': 'Query',
  'list.reset': 'Reset',
  'list.up': 'Put away',
  'list.down': 'Unfold',
  'list.export': 'Export',
  'list.relation_form': 'Push single',
  'list.relation_search': 'Union Check',
  'list.more': 'More',
  'list.tools': 'Tools',
  'list.table_selected': 'Selected{count} article',
  'list.table_total': 'Total{total}article',

  'detail.add': 'New',
  'detail.update': 'Modify',
  'detail.delete': 'Delete',
  'detail.more': 'More',
  'detail.xuandan': '选单EN',
  'detail.relation_form': 'Push single',
  'detail.tools': 'Tools',
  'detail.relation_search': 'Union Check',
  'detail.popup_relation_form': 'Pop-up order',
  'detail.upload': 'Upload Attachment',
  'detail.basic_info': 'Basic Information',
  'detail.no_data': 'No data',

  'datepicker.start': 'Starting time',
  'datepicker.end': 'End Time',
  'datepicker.week': 'Week',
  'datepicker.month': 'Month',
  'datepicker.quarter': 'Quarter',
  'datepicker.year': 'Year',
  'datepicker.other': 'Other',
  'datepicker.current_week': 'This week',
  'datepicker.last_week': 'Last week',
  'datepicker.current_month': 'This month',
  'datepicker.last_month': 'Last month',
  'datepicker.current_quarter': 'This quarter',
  'datepicker.last_quarter': 'Last quarter',
  'datepicker.current_year': 'This year',
  'datepicker.last_year': 'Last year',
  'datepicker.first_half_year': 'First half year',
  'datepicker.second_half_year': 'Second half of the year',
  'datepicker.today': 'Today',
  'datepicker.yesterday': 'Yesterday',
  'datepicker.last_3_day': 'Last 3 days',
  'datepicker.last_7_day': 'Last 7 days',
  'datepicker.last_14_day': 'Last 14 days',

  locale_name: "Name",
  locale_save: "Save",
  locale_QuickShow: "快捷显示EN",
  locale_freeze: "冻结EN",
  locale_left: "左EN",
  locale_right: "右EN",
  locale_show: "显示EN",
  locale_AdvancedSettings: "高级设置EN",
  locale_AdvancedQuery: "高级查询EN",
  locale_QueryConditioning: "查询条件设置EN",
  locale_HeadersToSet: "表头设置EN",
  locale_none: '无EN',
  locale_accessory: 'Attachment',
  locale_index: 'NO.',
  locale_noData: 'No Data',
  locale_uploadingText: 'Click or drag the file to this area to upload',
  locale_affirmDelete: 'Confirm deletion?',
  locale_promptTitle: '友情提示?EN',
  locale_promptContent: '关闭页面，未保存数据将会丢失，确认关闭？EN',
  locale_uploadSucceed: '上传成功！',
  locale_uploadFail: '上传失败！',
  locale_affirm: '确认删除?',

  new: "New",
  save: "Save",
  login: 'login',

  //流程
  work_submit: '提交EN',
  work_recall: '撤回EN',
  work_check: '审核EN',
  work_abandonTrial: '弃审EN',
  work_view: '查审EN',
  work_flow: '流EN',
  work_notHandlerPersion: '当前流程不属于您操作！EN',
  work_withdrawSuccess: '流程撤销成功！EN',
  work_precessForbitAbandon: '进行中流程不允许撤回！EN',
  work_notSubmit: '当前流程未提交！EN',
  work_handlerSuccess: '处理成功！EN',
  work_notRecord: '请勾选记录！EN',
  work_noneWorkflow: '暂无流程EN',
  work_recallVerifiedWorkflow: '流程已被处理，不能弃审EN',
  work_recallSuccess: '弃审成功！EN',
  work_unRejectWorkflow: '流程未被处理！EN',
  work_abandonSuccess: '驳回成功！EN',
  work_submitSuccess: '流程提交成功！EN',

  work_flowPromptTitle: '流程提醒?EN',
  work_flowPromptContent: '此单据存在流程，是否提交流程EN',
  work_inputPrompt: '请输入内容EN',
  work_rejectedToAsk: '您要驳回哪一个节点EN',
  work_beforeNode: '上一节点EN',
  work_firstNode: '首节点EN',
  work_err: '错误EN',
  work_addSuccess: '加签成功EN',

  work_flowCheck: '流程审核EN',
  work_agree: '同意EN',
  work_reject: '驳回EN',
  work_info: '流程信息EN',

  work_meet: '会EN',
  work_team: '协作EN',
  work_compete: '竞争EN',
  work_entryCondition: '进入条件EN',
  work_SkipConditions: '跳过条件EN',
  work_synergy: '协同EN',

  work_completed: '已办EN',
  work_process: '待办EN',
  work_notArrived: '未到达EN',
  work_unread: '未阅EN',
  work_read: '已阅EN',


  //  自定义菜单
  archive: 'Archive theme'
}
export default en_CN;
