/**
 * Created by 王友生 on 2018-04-27.
 */

const zh_CN = {
  'login.login_btn': '登录',
  'login.resource_download': '资源下载',
  'login.qrcode_label': '二维码',
  'login.client_qrcode_label': '下载移动客户端',
  'login.server_qrcode_label': '服务器二维码',
  'login.placeholder.username': '请输入登录名',
  'login.placeholder.password': '请输入密码',
  'login.remember': '下次自动登录',
  'login.copyright': '版权所有 江苏才子网络科技有限公司',
  'login.switch_language': '切换到EN',

  'main.auth_info': '授权信息',
  'main.about': '关于',
  'main.logout': '退出',
  'main.warning_setting': '预警设置',
  'main.refresh': '刷新',
  'main.hot_deploy': '热部署',

  'list.advance_search': '高级查询',
  'list.add': '新增',
  'list.batch_update': '批量修改',
  'list.batch_remove': '批量删除',
  'list.date_update': '数据批改',
  'list.print': '打印',
  'list.setting': '设置',
  'list.clear': '清空',
  'list.search': '查询',
  'list.reset': '重置',
  'list.up': '收起',
  'list.down': '展开',
  'list.export': '导出',
  'list.relation_form': '生单',
  'list.relation_search': '联查',
  'list.more': '更多',
  'list.tools': '工具',
  'list.table_selected': '已选中{count}条',
  'list.table_total': '共{total}条',

  'detail.add': '新增',
  'detail.update': '修改',
  'detail.delete': '删除',
  'detail.more': '更多',
  'detail.xuandan': '选单',
  'detail.relation_form': '生单',
  'detail.tools': '工具',
  'detail.relation_search': '联查',
  'detail.popup_relation_form': '弹窗推单',
  'detail.upload': '上传附件',
  'detail.basic_info': '基本信息',
  'detail.no_data': '暂无数据',

  'datepicker.start': '开始时间',
  'datepicker.end': '结束时间',
  'datepicker.week': '周',
  'datepicker.month': '月',
  'datepicker.quarter': '季',
  'datepicker.year': '年',
  'datepicker.other': '其他',
  'datepicker.current_week': '本周',
  'datepicker.last_week': '上周',
  'datepicker.current_month': '本月',
  'datepicker.last_month': '上月',
  'datepicker.current_quarter': '本季',
  'datepicker.last_quarter': '上季',
  'datepicker.current_year': '本年',
  'datepicker.last_year': '上年',
  'datepicker.first_half_year': '上半年',
  'datepicker.second_half_year': '下半年',
  'datepicker.today': '今天',
  'datepicker.yesterday': '昨天',
  'datepicker.last_3_day': '近3天',
  'datepicker.last_7_day': '近7天',
  'datepicker.last_14_day': '近14天',

  locale_new: "新建",
  locale_name: "名称",
  locale_QuickShow: "快捷显示",
  locale_freeze: "冻结",
  locale_left: "左",
  locale_right: "右",
  locale_show: "显示",
  locale_AdvancedSettings: "高级设置",
  locale_AdvancedQuery: "高级查询",
  locale_QueryConditioning: "查询条件设置",
  locale_HeadersToSet: "表头设置",
  locale_save: "保存",
  locale_delete: '删除',
  locale_function_setting: '功能设置',
  locale_login: '登录',
  locale_confirm_delete: '您确认要删除此记录？',
  locale_cancel: '取消',
  locale_config: '配置',
  locale_delete_relation_table: '请先删除关联表！',
  locale_calculation_formula: '计算公式',
  locale_please_select: '请选择',
  locale_none: '无',
  locale_preview: '预览',
  locale_reference_setting: '参照设置',
  locale_accessory: '附件',
  locale_index: '序号',
  locale_noData: '暂无数据',

  locale_uploadingText: '点击或者将文件拖到此区域上传',
  locale_uploadSucceed: '上传成功！',
  locale_uploadFail: '上传失败！',
  locale_affirmDelete: '确认删除?',
  locale_affirm: '确认删除?',
  locale_promptTitle: '友情提示?',
  locale_promptContent: '关闭页面，未保存数据将会丢失，确认关闭？',

  //流程
  work_submit: '提交',
  work_recall: '撤回',
  work_check: '审核',
  work_abandonTrial: '弃审',
  work_view: '查审',
  work_flow: '流程',
  work_notHandlerPersion: '当前流程不属于您操作！',
  work_withdrawSuccess: '流程撤销成功！',
  work_precessForbitAbandon: '进行中流程不允许撤回！',
  work_notSubmit: '当前流程未提交！',
  work_handlerSuccess: '处理成功！',
  work_notRecord: '请勾选记录！',
  work_noneWorkflow: '暂无流程',
  work_recallVerifiedWorkflow: '流程已被处理，不能弃审',
  work_recallSuccess: '弃审成功！',
  work_unRejectWorkflow: '流程未被处理！',
  work_abandonSuccess: '驳回成功！',
  work_submitSuccess: '流程提交成功！',

  work_flowPromptTitle: '流程提醒?',
  work_flowPromptContent: '此单据存在流程，是否提交流程',
  work_inputPrompt: '请输入内容',
  work_rejectedToAsk: '您要驳回哪一个节点',
  work_beforeNode: '上一节点',
  work_firstNode: '首节点',
  work_err: '错误',
  work_addSuccess: '加签成功',

  work_flowCheck: '流程审核',
  work_agree: '同意',
  work_reject: '驳回',
  work_info: '流程信息',

  work_meet: '会',
  work_team: '协作',
  work_compete: '竞争',
  work_entryCondition: '进入条件',
  work_SkipConditions: '跳过条件',
  work_synergy: '协同',

  work_completed: '已办',
  work_process: '待办',
  work_notArrived: '未到达',
  work_unread: '未阅',
  work_read: '已阅',

  //  自定义菜单
  archive: '封存主题'
};
export default zh_CN;
