/**
 * Created by 王友生 on 2018-05-17.
 */

import { Map } from 'immutable';

const initState = Map({
  changedDicNo: ''
});

export default (state = initState, action) => {
  switch (action.type) {
    case 'dictionary/fetchDictionarySuccess':
      return state.set(action.payload.key, action.payload.data);
    case 'dictionary/changeChangedDicNo':
      return state.set('changedDicNo', action.payload.key).set('changedDicTitle', action.payload.title);
    case 'dictionary/iniState':
      return initState
    default:
      return state;
  }
}
